<template lang="pug">
.bg-black.q-ma-sm.q-px-sm.insets.text-red
  div.lcd
    span {{hours}}
    span.font-reset :
    span {{minutes}}
    span.font-reset :
    span {{seconds}}
  div.zone {{zone}} {{name}}
</template>

<script>
function padZero(number) {
  if (number < 10) {
    return "0" + number;
  }
  return number;
}
const getDate = () => new Date();
const getSeconds = () => padZero(getDate().getUTCSeconds());
const getMinutes = () => padZero(getDate().getUTCMinutes());
const getHour = (timezone) => {
  let hours = getDate().getUTCHours();
  hours = (hours + timezone) % 24;
  return padZero(hours);
};

export default {
  props: {
    timezone: {
      default: 0,
    },
    name: {},
  },
  data() {
    return {
      ticker: null,
      minutes: getMinutes(),
      hours: getHour(this.timezone),
      seconds: getSeconds(),
    };
  },

  computed: {
    zone() {
      return this.timezone == 0
        ? "UTC"
        : `UTC${this.timezone > 0 ? "+" : ""}${this.timezone}`;
    },
  },

  created() {
    this.ticker = setInterval(() => {
      this.minutes = getMinutes();
      this.hours = getHour(this.timezone);
      this.seconds = getSeconds();
    }, 1000);
  },

  destroyed() {
    clearInterval(this.ticker);
  },
};
</script>
<style lang="scss">
@font-face {
  font-family: lcd;
  src: url("../assets/Segment7-4Gml.otf");
}

.lcd {
  font-family: lcd;
  font-size: 30px;
  padding: 0px;
  // width: 180px;
  // margin-top: -20px;
}

.font-reset {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 40px;
  line-height: 0;
}

.zone {
  font-size: 10px;
  margin-top: -10px;
  font-family: Arial, Helvetica, sans-serif;
}

.insets {
  box-shadow: inset 0px 0px 10px 0px #610000;
}
</style>
